// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved.

#include "FOHEARTNetWorkManager.h"
#include "FOHEARTBPLibrary.h"
#include "FOHEART.h"

// Sets default values
AFOHEARTNetWorkManager::AFOHEARTNetWorkManager()
{
	HostName = TEXT("127.0.0.1");
	Port = 5001;
}

void AFOHEARTNetWorkManager::BeginPlay()
{
	Super::BeginPlay();

	bool bInit = UFOHEART_C1BPLibrary::FOHEART_C1Init(this);

	if (bInit)
	{
		MotionVenusConnected = UFOHEART_C1BPLibrary::FOHEART_C1ConnectUDP(this, HostName, Port);
	}
}

